Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 527734 - quagga initscripts lsb compliance
Summary: quagga initscripts lsb compliance
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: quagga
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jiri Skala
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject 584385
TreeView+ depends on / blocked
 
Reported: 2009-10-07 14:31 UTC by Yulia Kopkova
Modified: 2014-11-09 22:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 584385 (view as bug list)
Environment:
Last Closed: 2009-10-19 12:23:05 UTC
Type: ---


Attachments (Terms of Use)

Description Yulia Kopkova 2009-10-07 14:31:24 UTC
Description of problem:

According to https://fedoraproject.org/wiki/Packaging/SysVInitScript quagga component init scripts have two small lsb compliance issues:

$SERVICE in (bgpd ospf6d ospfd ripd ripngd zebra)

1. Init script should return code "4" if restarting service under
nonprivileged user:
# su testuserqa -c "service $SERVICE restart"; echo $?
restart: unrecognized service
1
now: 1 
expected: 4 

2. force-reload action should be supported

Comment 1 Yulia Kopkova 2009-10-08 10:55:38 UTC
Sorry, copy/paste issue. Behaviour for 1 is:

1. Init script should return code "4" if restarting service under
nonprivileged user:
# su testuserqa -c "service $SERVICE restart"; echo $?
Shutting down $SERVICE:                                    [FAILED]
Starting $SERVICE:                                         [FAILED]
1
now: 1
expected: 4


Note You need to log in before you can comment on or make changes to this bug.